https://github.com/curl/curl/commit/f4ee7bafda8d451255e935a3c585220dd3cf58c4
From: Daniel Stenberg <daniel@haxx.se>
Date: Thu, 7 Nov 2024 23:21:14 +0100
Subject: [PATCH] cmdline/ech.md: formatting cleanups

Reported-by: Samuel Henrique
Fixes #15506
Closes #15517
--- a/docs/cmdline-opts/ech.md
+++ b/docs/cmdline-opts/ech.md
@@ -20,35 +20,33 @@ Specifies how to do ECH (Encrypted Client Hello).
 
 The values allowed for \<config\> can be:
 
-## "false" (default)
+## `false`
 
-Do not attempt ECH
+Do not attempt ECH. The is the default.
 
-## "grease"
+## `grease`
 
 Send a GREASE ECH extension
 
-## "true"
+## `true`
 
 Attempt ECH if possible, but do not fail if ECH is not attempted.
 (The connection fails if ECH is attempted but fails.)
 
-## "hard"
+## `hard`
 
-Attempt ECH and fail if that is not possible.
-ECH only works with TLS 1.3 and also requires using
-DoH or providing an ECHConfigList on the command line.
+Attempt ECH and fail if that is not possible. ECH only works with TLS 1.3 and
+also requires using DoH or providing an ECHConfigList on the command line.
 
-## "ecl:<b64val>"
+## `ecl:<b64val>`
 
 A base64 encoded ECHConfigList that is used for ECH.
 
-## "pn:<name>"
+## `pn:<name>`
 
-A name to use to over-ride the `public_name` field of an ECHConfigList
-(only available with OpenSSL TLS support)
+A name to use to over-ride the `public_name` field of an ECHConfigList (only
+available with OpenSSL TLS support)
 
-## Errors
+##
 
-Most errors cause error
-*CURLE_ECH_REQUIRED* (101).
+Most ECH related errors cause error *CURLE_ECH_REQUIRED* (101).
